<?php
namespace Teknisa\PLA\Modules\Cardapio\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use \Teknisa\GER\Services\CrudService;

class Pla07300CalendarioDeCardapioReport extends \Zeedhi\Framework\Controller\Report {

	protected $environment;
    protected $crudService;
    protected $birtStrategy;
    
    public function __construct($reportService, $environment, $crudService, $birtStrategy) {
        $this->environment = $environment;
        $this->crudService = $crudService;
        $this->birtStrategy = $birtStrategy;
        parent::__construct($reportService);
    }
	
	protected $reportMapping = array (
        'PLA07400' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
              "DTANOCALENCARD" => "P_ANO",
              "NRORG" => "P_NRORG"
            )
        ),
    );
}